Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLXA4cTgtamZjdi1nMmgy

Directory Traversal in Archive_Tar

In Archive_Tar before 1.4.14, symlinks can refer to targets outside of the extracted archive, a different vulnerability than CVE-2020-36193.

Permalink: https://github.com/advisories/GHSA-p8q8-jfcv-g2h2
JSON: https://advisories.ecosyste.ms/api/v1/advisories/MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLXA4cTgtamZjdi1nMmgy
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: almost 3 years ago
Updated: over 1 year ago


CVSS Score: 7.1
CVSS vector: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

Identifiers: GHSA-p8q8-jfcv-g2h2, CVE-2021-32610
References: Repository: https://github.com/pear/Archive_Tar
Blast Radius: 26.1

Affected Packages

packagist:pear/archive_tar
Dependent packages: 70
Dependent repositories: 4,758
Downloads: 38,555,500 total
Affected Version Ranges: < 1.4.14
Fixed in: 1.4.14
All affected versions: 1.3.11, 1.3.12, 1.3.13, 1.3.14, 1.3.15, 1.3.16, 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.7, 1.4.8, 1.4.9, 1.4.10, 1.4.11, 1.4.12, 1.4.13
All unaffected versions: 1.4.14, 1.5.0